import request from '@/utils/request'

// 查询商务领域行政处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmCommercePenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询商务领域行政处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmCommercePenalty/' + id,
        method: 'get'
    })
}

// 新增商务领域行政处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmCommercePenalty',
        method: 'post',
        data: data
    })
}

// 修改商务领域行政处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmCommercePenalty',
        method: 'put',
        data: data
    })
}

// 删除商务领域行政处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmCommercePenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmCommercePenalty/delete',ids)
}